Package org.opensaml.saml.metadata.resolver

# Interface BatchMetadataResolver

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `MetadataResolver`, `Resolver<EntityDescriptor,CriteriaSet>`

All Known Implementing Classes:
  `AbstractBatchMetadataResolver`, `AbstractReloadingMetadataResolver`, `DOMMetadataResolver`, `FileBackedHTTPMetadataResolver`, `FilesystemMetadataResolver`, `HTTPMetadataResolver`, `ResourceBackedMetadataResolver`

public interface BatchMetadataResolver extends MetadataResolver
Marker interface for `MetadataResolver` implementations which resolve metadata from a batch of data loaded and processed in advance of resolution operations, for example by loading an XML document from a file or HTTP resource at component initialization time.

## Method Summary

Modifier and Type
Method
Description
`Instant`
`getRootValidUntil()`
Get the validUntil of of the metadata batch root element, if present.
`Boolean`
`isRootValid()`
Get the validity state of the metadata batch root element, as determined in an implementation-specific manner.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface org.opensaml.saml.metadata.resolver.MetadataResolver

`getMetadataFilter, getType, isRequireValidMetadata, setMetadataFilter, setRequireValidMetadata`

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`

## Method Details

### getRootValidUntil

@Nullable Instant getRootValidUntil()
Get the validUntil of of the metadata batch root element, if present.

Returns:
  the validUntil date/time of the root element, or null if not available

### isRootValid

@Nullable Boolean isRootValid()
Get the validity state of the metadata batch root element, as determined in an implementation-specific manner.

Returns:
  true if root element is valid, false if not valid, null if indeterminate